#pragma once

#include <QString>



class PathInfo
{
public:
	static QString GetMyDocDirPath(void);
	static QString GetLocalAppDirPath(void);

	static QString GetConfigDirPath(void);
	static QString GetLayoutConfigFilePath(void);
	static QString GetDefaultLayoutConfigFilePath(void);
	static QString GetWindowLayoutConfigFilePath(void);
	static QString GetGuiConfigFilePath(void);
	static QString GetDefaultGuiConfigFilePath(void);
	static QString GetCameraLogFilePath(void);

	static QString GetAppDirPath(void);

	static QString GetAsscEditorPath(void);

	static QString GetMatCapPresetDirPath(void);

	static QString GetShaderDirPath(void);
	static QString GetPostprocCodeDirPath(void);

	static void CreateConfiDirIfNotExist(void);

	static void OpenAppDir(void);
	static void OpenConfigDir(void);
};
